Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::view::delimit_impl_fn Struct Reference

## Public Member Functions
template<typename Rng , typename Val >
auto | operator() (Rng &&rng, Val value) const -> delimit_view< all_t< Rng >, Val > requires ViewableRange< Rng > &&InputRange< Rng > &&Semiregular< Val > &&EqualityComparableWith< Val, range_reference_t< Rng >>